Summary:	The Debian Almquist Shell (formerly NetBSD's ash)
Name:		dash
Version:	0.5.9
Release:	%mkrel 1
License:	BSD and GPLv2+
Group:		Shells
URL:		http://gondor.apana.org.au/~herbert/dash/
Source0:	http://gondor.apana.org.au/~herbert/dash/files/%{name}-%{version}.tar.gz
Patch0:		dash-0.5.7-format-not-a-string-literal-and-no-format-arguments.patch
Patch1:		dash-0.5.7-hack-to-fix-test-build.patch
Requires(post):		rpm-helper
Requires(postun):	rpm-helper
# explicit file provide:
# (tmb) keep old path provide too for now to avoid breakage
Provides:	/bin/dash
Provides:	/usr/bin/dash
BuildRequires:	bison
BuildRequires:	dietlibc-devel

%description
"dash" is a POSIX compliant shell that is much smaller than "bash".
Dash supports many features that a real sh shell would support, however
it is much smaller in size. This becomes an advantage in situations
where there is a lack of memery (initial ram-disks, etc). dash does
lack a few features, like command line history.

dash is the continuation of the original NetBSD ash fork. dash is much
more up-to-date, and properly maintained.

You should install dash if you need a near featureful lightweight shell
that is similar to GNU's bash.

%package static
Summary:	The Debian Almquist Shell (statically compiled)
License:	BSD
Group:		Shells
Obsoletes:	ash
Provides:	ash
Conflicts:	dash < 0.5.4-3
# explicit file provide:
# (tmb) keep old path provide too for now to avoid breakage
Provides:	/bin/dash.static
Provides:	/usr/bin/dash.static

%description static
"dash" is a POSIX compliant shell that is much smaller than "bash".
Dash supports many features that a real sh shell would support, however
it is much smaller in size. This becomes an advantage in situations
where there is a lack of memery (initial ram-disks, etc). dash does
lack a few features, like command line history.

dash is the continuation of the original NetBSD ash fork. dash is much
more up-to-date, and properly maintained.

You should install dash if you need a near featureful lightweight shell
that is similar to GNU's bash.

This version is statically compiled.

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags} -Os"
export CXXFLAGS=$CFLAGS

%configure2_5x

# Build dynamically linked dash first
%make_build
mv src/dash src/dash.dynamic

# Build statically linked dietlibc dash last
make clean
%configure2_5x CC="diet gcc"
%make_build CC="diet gcc"
strip src/dash
mv src/dash src/dash.static

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1

install -m 755 src/dash.dynamic %{buildroot}%{_bindir}/dash
install -m 644 src/dash.1 %{buildroot}%{_mandir}/man1/dash.1

install -m 755 src/dash.static %{buildroot}%{_bindir}/dash.static

ln -s %{_bindir}/dash.static %{buildroot}%{_bindir}/ash
ln -s %{_mandir}/man1/dash.1 %{buildroot}%{_mandir}/man1/ash.1

%post
/usr/share/rpm-helper/add-shell %{name} $1 %{_bindir}/dash

%postun
/usr/share/rpm-helper/del-shell %{name} $1 %{_bindir}/dash

%files
%doc ChangeLog COPYING
%{_bindir}/dash
%{_mandir}/man1/*

%files static
%doc ChangeLog COPYING
%{_bindir}/dash.static
%{_bindir}/ash


%changelog
* Sat Sep 10 2016 luigiwalser <luigiwalser> 0.5.9-1.mga6
+ Revision: 1051246
- 0.5.9

* Sun Feb 14 2016 umeabot <umeabot> 0.5.8-2.mga6
+ Revision: 959836
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 ngompa <ngompa> 0.5.8-1.mga6
+ Revision: 893915
- Updated to 0.5.8 and dropped git rollup patch

* Thu Sep 17 2015 tv <tv> 0.5.7-9.mga6
+ Revision: 880171
- reenable debuginfo after killig stripping

* Wed Sep 09 2015 neoclust <neoclust> 0.5.7-8.mga6
+ Revision: 875097
- Fix build with new rpm ( empty debuginfo)

* Fri Aug 21 2015 tmb <tmb> 0.5.7-7.mga6
+ Revision: 867440
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 0.5.7-6.mga5
+ Revision: 744296
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.7-5.mga5
+ Revision: 678672
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.7-4.mga4
+ Revision: 503756
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.7-3.mga3
+ Revision: 348619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 tmb <tmb> 0.5.7-2.mga3
+ Revision: 300291
- update to 2012-07-03 snapshot (P1)
- fix test build for dietlibc missing defines (P2)
- install dash in /usr/bin, not /bin (fixes filesystem install breakage)
- clean spec

  + sander85 <sander85>
    - Fix license.

* Thu Sep 08 2011 tv <tv> 0.5.7-1.mga2
+ Revision: 141518
- new release
- rediff patch 0

* Tue Jan 11 2011 blino <blino> 0.5.6.1-1.mga1
+ Revision: 5749
- imported package dash

